CREATE TABLE grc_worklist_b (
    WORKLIST_ID                     NUMBER(18, 0),
    WORKLIST_TYPE                   VARCHAR2(120)    NOT NULL,
    WORKLIST_TYPE_CODE              VARCHAR2(120)    NOT NULL,
    FLEX_TEMPLATE_MODULE_ID         NUMBER(18, 0),
    OBJECT_ID                       NUMBER(18, 0),
    OBJECT_TYPE_KEY                 VARCHAR2(120)    NOT NULL,
    OBJECT_TYPE_CODE                VARCHAR2(120)    NOT NULL,
    OBJECT_STATE_CODE               VARCHAR2(120),
    OBJECT_LAST_STATE_CODE          VARCHAR2(120),
    ASSIGNED_TO_OBJECT_ID           NUMBER(18, 0),
    ASSIGNED_TO_OBJECT_TYPE_CODE    VARCHAR2(120),
    ASSIGNED_TO_STATE_CODE          VARCHAR2(120),
    ASSIGNED_TO_LAST_STATE_CODE     VARCHAR2(120),
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    ASMT_RESULT_BUSENTITY_ID        NUMBER(18, 0)    NOT NULL,
    START_DATE                      DATE             NOT NULL,
    ACTIVITY_CODE                   VARCHAR2(120),
    ASSESSMENT_ID                   NUMBER(18, 0),
    PARENT_OBJECT_TYPE_KEY          VARCHAR2(120),
    IS_COMMON                       NUMBER(1, 0) ,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    PARENT_OBJECT_ID                NUMBER(18, 0),
    WORKLIST_ID                     NUMBER(18, 0),
    WORKLIST_TYPE                   VARCHAR2(120)    NOT NULL,
    WORKLIST_TYPE_CODE              VARCHAR2(120)    NOT NULL,
    FLEX_TEMPLATE_MODULE_ID         NUMBER(18, 0),
    OBJECT_ID                       NUMBER(18, 0),
    OBJECT_TYPE_KEY                 VARCHAR2(120)    NOT NULL,
    OBJECT_TYPE_CODE                VARCHAR2(120)    NOT NULL,
    OBJECT_STATE_CODE               VARCHAR2(120),
    OBJECT_LAST_STATE_CODE          VARCHAR2(120),
    ASSIGNED_TO_OBJECT_ID           NUMBER(18, 0),
    ASSIGNED_TO_OBJECT_TYPE_CODE    VARCHAR2(120),
    ASSIGNED_TO_STATE_CODE          VARCHAR2(120),
    ASSIGNED_TO_LAST_STATE_CODE     VARCHAR2(120),
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    ASMT_RESULT_BUSENTITY_ID        NUMBER(18, 0)    NOT NULL,
    START_DATE                      DATE             NOT NULL,
    ACTIVITY_CODE                   VARCHAR2(120),
    ASSESSMENT_ID                   NUMBER(18, 0),
    PARENT_OBJECT_TYPE_KEY          VARCHAR2(120),
    IS_COMMON                       NUMBER(1, 0) ,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    PARENT_OBJECT_ID                NUMBER(18, 0),
    CONSTRAINT pk_grc_worklist_b PRIMARY KEY (WORKLIST_ID, WORKLIST_ID)
);
